// ===================================
// |                                 |
// |  "Last Man Retextured" Shaders  |
// |                                 |
// |  Author: Julius (02-Jun-2014)   |
// |                                 |
// ===================================
//
//
// q3map_lightmapFilterRadius 2 0       // self other (desenfoca las sombras)
// q3map_lightmapSampleSize 4           // mayor resolución (presencia) en los lightmaps
//                                         vale 16 por defecto (1 lightmap pixel for every
//                                         16 game world units on a brush)


// Concrete ------------------------------------------------------------------------------

textures/map_lastman_retex/Concrete
{
    qer_editorImage textures/map_lastman_retex/Concrete.tga

    {
        map textures/map_lastman_retex/Concrete.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


textures/map_lastman_retex/ConcretePlate
{
    qer_editorImage textures/map_lastman_retex/ConcretePlate.tga

    {
        map textures/map_lastman_retex/ConcretePlate.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// Metal ---------------------------------------------------------------------------------

textures/map_lastman_retex/MetalFloor
{
    qer_editorImage textures/map_lastman_retex/MetalFloor.tga

    surfaceparm metalsteps

    {
        map textures/map_lastman_retex/MetalFloor.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


textures/map_lastman_retex/MetalHazard
{
    qer_editorImage textures/map_lastman_retex/MetalHazard.tga

    surfaceparm metalsteps

    {
        map textures/map_lastman_retex/MetalHazard.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// Grates (transparencia + lanza sombra) -------------------------------------------------

textures/map_lastman_retex/Grate
{
    qer_editorImage textures/map_lastman_retex/Grate.tga
    qer_alphaFunc gequal 0.5                                // transparencia en NetRadiant

    surfaceparm metalsteps

    surfaceparm trans
    surfaceparm alphashadow                                 // el canal alfa lanza sombra

    cull none                                               // dibuja ambos lados de una cara

    //noPicMip
    //noMipMaps

    {
        map textures/map_lastman_retex/Grate.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// JumpPad (transparencia + glow + emisión de luz) ---------------------------------------

textures/map_lastman_retex/Jump
{
    q3map_lightImage textures/map_lastman_retex/Jump_glow.tga    // fuente de emisión de luz
    qer_editorImage textures/map_lastman_retex/Jump.tga
    qer_alphaFunc gequal 0.5

    q3map_surfaceLight 2500                                 // intensidad de luz emitida

    surfaceparm trans
    surfaceparm alphashadow                                 // el canal alfa lanza sombra

    cull none                                               // dibuja ambos lados de una cara

    {
        map textures/map_lastman_retex/Jump.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// Letrero -------------------------------------------------------------------------------

textures/map_lastman_retex/Screen
{
    qer_editorImage textures/map_lastman_retex/Screen.tga

    q3map_surfaceLight 200                                       // intensidad de luz emitida

    polygonOffset
    sort 6

    {
        map textures/map_lastman_retex/Screen.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


textures/map_lastman_retex/Text
{
    qer_editorImage textures/map_lastman_retex/Text.tga
    qer_alphaFunc gequal 0.5

    surfaceparm trans
    surfaceparm nonsolid

    polygonOffset
    sort 6

    {
        map textures/map_lastman_retex/Text.tga
        rgbGen identity
        tcMod scroll 0.05 0                       // desplazamiento X Y (texturas por segundo)
        blendFunc blend                           // add=aclara, blend=mezcla, filter=oscurece
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// Skybox "Polluted Earth" (1024x1024 scaled from 2048) ----------------------------------

textures/map_lastman_retex/polluted_earth
{
    qer_editorImage env/polluted_earth/polluted_earth_ft.jpg
    skyParms env/polluted_earth/polluted_earth - -

    surfaceparm sky
    surfaceparm noimpact                          // proyectiles no impactan ni dejan marcas
    surfaceparm nolightmap                        // no le afecta la luz del entorno
    surfaceparm nodlight                          // no le afecta la luz dinámica (las armas)

    noPicMip
    noMipMaps

    // intensidad: Un valor de 100 representaría un Sol bastante brillante
    // grados:     0=este, 90=norte, 180=oeste, 270=sur
    // elevación:  0=amanecer/ocaso, 90=mediodía

    q3map_sunExt 1 0.9 0.9 150 320 12 3 16        // RGB intensidad grados elevación desvío y muestras
    q3map_lightmapFilterRadius 0 8                // self other (desenfoca las sombras)
    q3map_skyLight 75 16                          // cantidad e iteraciones (luz ambiental)
}


// FIN ------------------------------------ FIN -------------------------------------- FIN
